#### Previous topic

scipy.spatial.distance.sqeuclidean

#### Next topic

scipy.spatial.distance.dice

# scipy.spatial.distance.wminkowski

`scipy.spatial.distance.``wminkowski`(u, v, p, w)

  Computes the weighted Minkowski distance between two 1-D arrays.

  The weighted Minkowski distance between u and v, defined as

  \[\left(\sum{(|w_i (u_i - v_i)|^p)}\right)^{1/p}.\]

  Parameters:

  u : (N,) array_like

  > Input array.

  v : (N,) array_like

  > Input array.

  p : int

  > The order of the norm of the difference \({||u-v||}_p\).

  w : (N,) array_like

  > The weight vector.

  Returns:

  wminkowski : double

  > The weighted Minkowski distance between vectors u and v.